en-US

# Configure Logs

Configure log settings of cameras and frame grabbers.

## Camera Logs

Select Camera in LogSource, and you can click More on the top of the log viewer window to configure log view settings and log service settings of cameras.

Log View Settings

  You can set the DLL(s) to be displayed on Log Viewer.

  Select DLL(s)

    Check the checkbox(es) to select DLL(s). You can only select MvCameraControl.dll, MVGigEVisionSDK.dll, MvUsb3vTL.dll, and MvCamLVision.dll.

    MvCameraControl | Logs about operations on the Software will be displayed (if exist).
    MVGigEVisionSDK | Logs about the Software accessing USB3 Vision cameras will be displayed (if exist).
    MvUsb3vTL | Logs about the Software accessing USB3 Vision cameras will be displayed (if exist).
    MvCamLVision | Logs about the Software accessing Camera Link cameras will be displayed (if exist).

  Add DLL(s)

    Enter the name of a DLL in the input box, and then click Add.

  Max. Displayed Logs

    Set the maximum number of displayed logs.

    Note:

    The range of maximum displayed logs is from 1 to 100,000 (default value: 1000).

  Interval for Update (ms)

    Set the time interval (unit: ms) for upgrading the log list.

    Note:

    The range of the time interval is from 100 to 1000,000 (default value: 1000).

Log Service Settings
  Max. Storage Size

    Set the maximum storage size (unit: MB) for the SDK logs (default value: 10).

  Storage Type

    The selected type of SDK logs will be stored.

## Frame Grabber Logs

Select FrameGrabber in LogSource, and you can click More on the top of the log viewer window to configure log settings of frame grabbers.

Max. Displayed Logs
  Set the maximum number of displayed logs.
  Note:

  The range of maximum displayed logs is from 1 to 100,000 (default value: 1000).

Interval for Update

  Set the time interval (unit: ms) for upgrading the log list.

  Note:

  The range of the time interval is from 100 to 1000,000 (default value: 1000).